"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _repositoryGeneric = _interopRequireDefault(require("../generic/repository-generic"));

var _auth = _interopRequireDefault(require("./auth.model"));

var _package = _interopRequireDefault(require("../../../package"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class AuthRepository extends _repositoryGeneric.default {
  constructor() {
    super(_auth.default, "Auth");
  }

  findUserByUsernameField(usernameField) {
    return new this.modelClass().query(function (qb) {
      qb.where(_package.default.junsApi.auth.usernameField, usernameField);
    }).fetch();
  }

}

exports.default = AuthRepository;