const winston = require('winston')

class Logger {

    constructor() {
        const logger = winston.createLogger({
            level: 'info',
            transports: [
                new winston.transports.Console({
                    format: winston.format.simple()
                })
            ]
        })

        this.logger = logger
    }

    info(message) {
        this.logger.info(message)
    }

    error(message) {
        this.logger.error(message)
    }

}

module.exports = Logger
