const Logger = require('./commons/Logger')
const nodemon = require('nodemon')
const log = new Logger()

module.exports = () => {
    nodemon('--watch .env --watch src --exec babel-node src --source-maps')
    nodemon
        .on('start', function () {
            log.info('App has started')
        })
        .on('quit', function () {
            log.info('App has quit')
            process.exit()
        })
        .on('restart', function (files) {
            log.info('App restarted due to: ', files)
        })
}
