const Logger = require('./commons/Logger')
const knexJs = require('knex')
const knexConfig = require('../../knexfile.js')
const log = new Logger()

function createName() {
    const dateNow = new Date()
    const datestring = dateNow.getFullYear() + '' + (dateNow.getMonth() + 1) + '' + dateNow.getDate() +
        '' + dateNow.getHours() + '' + dateNow.getMinutes() + '' + dateNow.getSeconds()

    return datestring + '-migrate'
}

module.exports = () => {
    const knex = knexJs(knexConfig)

    const nameForMigrate = createName()

    log.info(`Running knex make migrate in directory: ${knexConfig.seeds.directory}`)
    knex.migrate.make(nameForMigrate, knexConfig)
        .then(function () {
            log.info(`Finished knex make migrate`)
        })
}
