"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

class ServiceGeneric {
  constructor(repository) {
    this.repository = new repository();
  }

  buscarTodos() {
    return this.repository.buscarTodos();
  }

  buscarPorId(key) {
    return this.repository.buscarPorId(key);
  }

  inserir(model, options = {}) {
    return this.repository.inserir(model, options);
  }

  editar(key, model, options = {}) {
    return this.repository.editar(key, model, options);
  }

  remover(key) {
    return this.repository.remover(key);
  }

}

exports.default = ServiceGeneric;