"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _express = require("express");

var _routes = _interopRequireDefault(require("../../src/routes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const router = (0, _express.Router)();
router.use(_routes.default);
router.get("/", (req, res) => {
  res.json({
    app: req.app.locals.title,
    description: req.app.locals.description,
    apiVersion: req.app.locals.version,
    author: req.app.locals.author
  });
});
var _default = router;
exports.default = _default;