const Logger = require('./commons/Logger')
const knexJs = require('knex')
const knexConfig = require('../../knexfile.js')
const log = new Logger()

module.exports = () => {
    const knex = knexJs(knexConfig)

    log.info(`Running knex migrate in directory: ${knexConfig.migrations.directory}`)

    knex.migrate.rollback()
        .then(function () {
            log.info(`Finished knex rollback`)
        })
}
