"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _expressFileupload = _interopRequireDefault(require("express-fileupload"));

var _express = require("express");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(app, config) {
  app.use((0, _expressFileupload.default)());
  const router = (0, _express.Router)();
  router.post('/', function (req, res) {
    if (!req.file) {
      return res.status(400).send('No files were uploaded.');
    } // The name of the input field (i.e. "sampleFile") is used to retrieve the uploaded file


    let file = req.file; // Use the mv() method to place the file somewhere on your server

    file.mv(`/${config.fileDir}/${file.name}`, function (err) {
      if (err) {
        return res.status(500).send(err);
      }

      res.send('File uploaded!');
    });
  });
  app.use('/upload', router);
}