"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _database = _interopRequireDefault(require("../database"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ModelGeneric extends _database.default.Model {
  constructor(nomeTabela, schemaTabela, temTimestamps = false) {
    super();
    this.nomeTabela = nomeTabela;
    this.schemaTabela = schemaTabela;
    this.temTimestamps = temTimestamps;
  }

  get tableName() {
    return this.nomeTabela;
  }

  get hasTimestamps() {
    return this.temTimestamps;
  }

  get modelSchema() {
    return this.schemaTabela;
  }

}

exports.default = ModelGeneric;